//
// "$Id: Fl_Help_Dialog.H 4582 2005-09-25 16:54:40Z matt $"
//
// Fl_Help_Dialog dialog for the Fast Light Tool Kit (FLTK).
//
// Copyright 1998-2005 by Bill Spitzak and others.
//
// This library is free software; you can redistribute it and/or
// modify it under the terms of the GNU Library General Public
// License as published by the Free Software Foundation; either
// version 2 of the License, or (at your option) any later version.
//
// This library is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
// Library General Public License for more details.
//
// You should have received a copy of the GNU Library General Public
// License along with this library; if not, write to the Free Software
// Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307
// USA.
//
// Please report all bugs and problems on the following page:
//
//     http://www.fltk.org/str.php
//

// generated by Fast Light User Interface Designer (fluid) version 1.0107

#ifndef Fl_Help_Dialog_H
#define Fl_Help_Dialog_H

#include <FL/Fl_Double_Window.H>

class Fl_Help_View;
class Fl_Button;
class Fl_Input;

class Fl_Help_Dialog : public Fl_Double_Window {
  int index_;
  int max_;
  int line_[100];
  char file_[100][256];
  int find_pos_;

  Fl_Help_View *view_;
  Fl_Button *back_;
  Fl_Button *forward_;
  Fl_Button *smaller_;
  Fl_Button *larger_;
  Fl_Button *save_;
  Fl_Input *find_;

public:

  Fl_Help_Dialog();
  ~Fl_Help_Dialog() {}

  void load(const char *f);
  void textsize(uchar s);
  uchar textsize();
  void topline(const char *n);

  /* callback functions */
  void cb_view__i(void);
  void cb_back__i(void);
  void cb_forward__i(void);
  void cb_textsize__i(int inc);
  void cb_find__i(void);
  void cb_save__i(void);
};
#endif

//
// End of "$Id: Fl_Help_Dialog.H 4582 2005-09-25 16:54:40Z matt $".
//
