static const double vertices[][3][3] = {
  { { 0, 0, 0}, {sqrt(3), 1, 1}, {sqrt(1.0/3), 1, 1} },
  { { 0, 0, 0}, {sqrt(3), 1, 1}, {sqrt(3), 1, 0} },
  { { 0, 0, 0}, {sqrt(3), 1, 1}, {sqrt(4.0/3), 0, 1} },
  { { 0.5, sqrt(3.0/4), 0}, {0, -2, 1}, {-sqrt(1.0/3), -1, 1} },
  { { 0.5, sqrt(3.0/4), 0}, {0, -2, 1}, {sqrt(1.0/3), -1, 1} },
  { { 0.5, sqrt(3.0/4), 0}, {0, -2, 1}, {0, -2, 0} },
  { { 1, 0, 0}, {-sqrt(3), 1, 1}, {-sqrt(1.0/3), 1, 1} },
  { { 1, 0, 0}, {-sqrt(3), 1, 1}, {-sqrt(3), 1, 0} },
  { { 1, 0, 0}, {-sqrt(3), 1, 1}, {-sqrt(4.0/3), 0, 1} },
  { { 0, 0, 1}, {sqrt(3), 1, -1}, {sqrt(1.0/3), 1, -1} },
  { { 0, 0, 1}, {sqrt(3), 1, -1}, {sqrt(3), 1, 0} },
  { { 0, 0, 1}, {sqrt(3), 1, -1}, {sqrt(4.0/3), 0, -1} },
  { { 0.5, sqrt(3.0/4), 1}, {0, -2, -1}, {-sqrt(1.0/3), -1, -1} },
  { { 0.5, sqrt(3.0/4), 1}, {0, -2, -1}, {sqrt(1.0/3), -1, -1} },
  { { 0.5, sqrt(3.0/4), 1}, {0, -2, -1}, {0, -2, 0} },
  { { 1, 0, 1}, {-sqrt(3), 1, -1}, {-sqrt(1.0/3), 1, -1} },
  { { 1, 0, 1}, {-sqrt(3), 1, -1}, {-sqrt(3), 1, 0} },
  { { 1, 0, 1}, {-sqrt(3), 1, -1}, {-sqrt(4.0/3), 0, -1} },
  { { 0, sqrt(3.0/4), 0}, {sqrt(3), -1, 1}, {sqrt(1.0/3), -1, 1} },
  { { 0, sqrt(3.0/4), 0}, {sqrt(3), -1, 1}, {sqrt(3), -1, 0} },
  { { 0, sqrt(3.0/4), 0}, {sqrt(3), -1, 1}, {sqrt(4.0/3), 0, 1} },
  { { 0.5, 0, 0}, {0, 2, 1}, {-sqrt(1.0/3), 1, 1} },
  { { 0.5, 0, 0}, {0, 2, 1}, {sqrt(1.0/3), 1, 1} },
  { { 0.5, 0, 0}, {0, 2, 1}, {0, 2, 0} },
  { { 1, sqrt(3.0/4), 0}, {-sqrt(3), -1, 1}, {-sqrt(1.0/3), -1, 1} },
  { { 1, sqrt(3.0/4), 0}, {-sqrt(3), -1, 1}, {-sqrt(3), -1, 0} },
  { { 1, sqrt(3.0/4), 0}, {-sqrt(3), -1, 1}, {-sqrt(4.0/3), 0, 1} },
  { { 0, sqrt(3.0/4), 1}, {sqrt(3), -1, -1}, {sqrt(1.0/3), -1, -1} },
  { { 0, sqrt(3.0/4), 1}, {sqrt(3), -1, -1}, {sqrt(3), -1, 0} },
  { { 0, sqrt(3.0/4), 1}, {sqrt(3), -1, -1}, {sqrt(4.0/3), 0, -1} },
  { { 0.5, 0, 1}, {0, 2, -1}, {-sqrt(1.0/3), 1, -1} },
  { { 0.5, 0, 1}, {0, 2, -1}, {sqrt(1.0/3), 1, -1} },
  { { 0.5, 0, 1}, {0, 2, -1}, {0, 2, 0} },
  { { 1, sqrt(3.0/4), 1}, {-sqrt(3), -1, -1}, {-sqrt(1.0/3), -1, -1} },
  { { 1, sqrt(3.0/4), 1}, {-sqrt(3), -1, -1}, {-sqrt(3), -1, 0} },
  { { 1, sqrt(3.0/4), 1}, {-sqrt(3), -1, -1}, {-sqrt(4.0/3), 0, -1} },
};

static const int normalFaces[2][5][5] = {
  {
    { 4, 0, 9, 12, 3 },
    { 4, 4, 13, 15, 6 },
    { 3, 5, 7, 1 },
    { 3, 14, 10, 16 },
    { 4, 2, 8, 17, 11 },
  },
  {
    { 4, 18, 21, 30, 27 },
    { 4, 22, 24, 33, 31 },
    { 3, 19, 25, 23 },
    { 3, 28, 32, 34 },
    { 4, 20, 29, 35, 26 },
  },
};

static const int bevelFaces[2][15][5] = {
  {
    { 4,  0, 3, 5, 1 },
    { 4,  1, 7, 8, 2 },
    { 4,  9, 0, 2, 11 },
    { 4,  4, 6, 7, 5 },
    { 4,  3, 12, 13, 4 },
    { 4,  6, 15, 17, 8 },
    { 4,  12, 9, 10, 14 },
    { 4,  16, 10, 11, 17 },
    { 4,  15, 13, 14, 16 },
    { 3,  0, 1, 2 },
    { 3,  3, 4, 5 },
    { 3,  6, 8, 7 },
    { 3,  9, 11, 10 },
    { 3,  12, 14, 13 },
    { 3,  15, 16, 17 },
  },
  {
    { 4,  21, 18, 19, 23 },
    { 4,  25, 19, 20, 26 },
    { 4,  18, 27, 29, 20 },
    { 4,  24, 22, 23, 25 },
    { 4,  30, 21, 22, 31 },
    { 4,  33, 24, 26, 35 },
    { 4,  27, 30, 32, 28 },
    { 4,  28, 34, 35, 29 },
    { 4,  31, 33, 34, 32 },
    { 3,  18, 20, 19 },
    { 3,  21, 23, 22 },
    { 3,  24, 25, 26 },
    { 3,  27, 28, 29 },
    { 3,  30, 31, 32 },
    { 3,  33, 35, 34 },
  },
};
